WordPress 4.9.5 turvallisuus- ja ylläpitopäivitys

Tiivistelmä: 4.9.5 päivitys korjaa WordPressin aiemmissa versioissa havaittuja turvallisuuspuutteita ja ohjelmointivirheitä.

Viimeisin päivitys kattaa kaikki WordPress-versiot 3.7:stä alkaen. Jos sivustosi käyttää automaattisia päivityksiä, niin uusin versio tulee omia aikojaan käyttöön. Muussa tapauksessa sinun on tehtävä päivitys itse Ohjausnäkymä > Päivitykset kohdasta.

Julkaistu päivitys korjaa kolme sivuston turvallisuuteen liittyvää ongelmaa WordPressin 4.9.4 ja aiemmista versioista. Päivitys korjaa samalla 25 muuta havaittua ohjelmointivirhettä WordPressin koodista.

Huomionarvoinen kohta päivityksessä on WordPressin parannettu tuki PHP:n 7.2 versiolle. PHP on WordPressin käyttämä ohjelmointikieli ja 7.2 on sen uusin saatavilla oleva versio. Useimmat tavanomaiset webhotellit käyttävät vielä vanhempaa PHP 5.6 versiota.

Jos omassa webhotellissasi on mahdollista ottaa käyttöön PHP 7.x, niin suosittelemme sen tekemään. PHP-version päivitys näkynee käytännössä sekä WordPressin ohjausnäkymän että julkisen puolen nopeutumisena.

Useita vuosia vanhan WordPress-sivuston kohdalla on hyvä kuitenkin ensin varmistua, ettei sivustolla ole mitään sellaista koodia, mikä vaatii vanhemman PHP-version käyttämisen. Tämä selvinnee joko käyttämällä PHP 7 yhteensopivuuden tarkistuslisäosaa, olemalla yhteydessä sivuston alkuperäiseen tekijään tai ottamalla FissioMediaan yhteyttä.

Tutustu WordPress-päivityksen viralliseen tiedotteeseen.